nxt.http.callers

## Class GetBlockCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetBlockCall>
  - - nxt.http.callers.GetBlockCall

-     public class GetBlockCall
      extends APICall.Builder<GetBlockCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetBlockCall` | `block(long block)`
    `GetBlockCall` | `block(java.lang.String block)`
    `static GetBlockCall` | `create()`
    `GetBlockCall` | `height(int height)`
    `GetBlockCall` | `includeExecutedPhased(boolean includeExecutedPhased)`
    `GetBlockCall` | `includeTransactions(boolean includeTransactions)`
    `GetBlockCall` | `requireBlock(java.lang.String requireBlock)`
    `GetBlockCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetBlockCall` | `timestamp(int timestamp)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetBlockCall create()

    - #### requireLastBlock

          public GetBlockCall requireLastBlock(java.lang.String requireLastBlock)

    - #### includeExecutedPhased

          public GetBlockCall includeExecutedPhased(boolean includeExecutedPhased)

    - #### includeTransactions

          public GetBlockCall includeTransactions(boolean includeTransactions)

    - #### block

          public GetBlockCall block(java.lang.String block)

    - #### block

          public GetBlockCall block(long block)

    - #### requireBlock

          public GetBlockCall requireBlock(java.lang.String requireBlock)

    - #### timestamp

          public GetBlockCall timestamp(int timestamp)

    - #### height

          public GetBlockCall height(int height)